现在WEB前端开发,还要兼容到IE6吗?还有,怎么有 angularJS NodeJS 这么多复杂的东西存在?

迟到的企鹅 发布于 2016/05/08 18:17
阅读 1K+
收藏 0

现在WEB前端开发,还要兼容到IE6吗?还有,怎么有 angularJS NodeJS 这么多复杂的东西存在?

向一些前端大师请教一下,谢谢

加载中
0
Broly
Broly

需不需要兼容,主要还是要看你的产品使用方向和群体。

像产品主要用在移动端,可以直接考虑放弃兼容IE系列。

至于AngularJS,vue.js这类前端框架,是前端趋于专业化的表现

0
yak
yak
要,多一份人头就多一份流量,多一份流量就多一份钱,除非你钱挣够了,那么问题来了,钱什么时候算挣够了?
maradona
maradona
回复 @JFree : 我也不明白java和是否兼容IE有什么必然联系
白眼狼
回复 @eechen : 幼稚
气质舞王尼古拉斯赵四
气质舞王尼古拉斯赵四
回复 @JFree : 哈哈哈,不带你们这样打脸的
VmLia
VmLia
回复 @eechen : 你是傻逼吗?前端的样式和Java有什么关系?我是专业做前端的,可是我从不写Java。
yak
yak
回复 @eechen : 你复制粘贴那么多,你倒是说个比图片兼容性更好的方案出来 ,就一个,复制粘贴的也算
下一页
0
f
fegaf

nodeJs就是tomcat,tomcat说简单吧,确实简单,就是socket监听一个端口,然后记录了许多的协议规则,将接收到的信息按照规则解析,说复杂吧,反正那代码没几个人想看,你想象你学java的时候,有tomcat和没tomcat的区别,是不是没tomcat的时候很low,有tomcat就是高大上的web开发了,这样说你应该了解到nodeJs对于js的意义了;

js用过吧,前端的设置值是getElementById(xx).value(xxx),节点多了以后,这个get一下,那个值改一下,是不是很烦很恶心,angular用一个死循环解决了,用户只需要xx=xxx,当对应的事件发生,就遍历一次节点,检测到有新值即xx已经被赋值为xxx了,就把新值xxx显示出来,每50ms扫一次,因为人的反应比较慢,这样就实现了数据双向绑定的效果,你看这设计是不是特别巧妙

0
eechen
eechen
移动端开发根本不需要考虑IE,因为基本都是WebKit的天下,jQuery版本使用2系.
桌面端开发还是要考虑IE的,兼容到8就够了,没必要为IE6和7浪费时间,jQuery版本需要用1系.
除非专门搞前端,否则像PHP之类的后端开发者根本不需要花太多时间学习什么AngularJS和Node这些东西,安心用好jQuery库和插件就够了.
卿亦随风
回复 @554330833a : IE9及以上就几乎没有html+css上的兼容性问题了。
554330833a
554330833a
兼容8不需要兼容 9,10,11吗?
0
zabcd117
zabcd117
大多数页面都不需要兼容了,国内现在基本都是IE8就可以了,相信再过5年就可以连IE8都不需要考虑了。
0
eechen_
eechen_

大家都用jQuery 怎么显示自己牛逼呢?

西湖老司机
西湖老司机
回复 @eechen_ : java们对你说 我很牛B 我是大神
eechen_
eechen_
回复 @JFree : 做前端的没资格跟我谈论牛逼
VmLia
VmLia
如果你只是用JQuery,那还没到能谈论牛逼的时候。
0
vikingleo
vikingleo
我是觉得,该放弃IE6-8了,唉,不过多少骨气在客户的金钱下,都被砸的体无完肤
yak
yak
有骨气就不会有李艳红给钱就上了,也没有满大街的莆田医院了
0
insights
insights
想问个有深度的问题,为什么页面上各种while 死循环,cpu不会飙升,自己写个死循环,那机子绝对死机,是不是他们写的死循环不彻底?
boystudio
boystudio
JS引擎有处理机制,某些情况下陷入死循环的话,会自动断掉。还有死循环能正常运行的话,最多也就消耗一个线程的运算,JS是单线程运行的,现在电脑都多核心多线程,不会死机。
0
boystudio
boystudio
现在能兼容到IE8就不错了,时代在进步。对于还用IE6的人,你觉得能在他们那里还能挣到钱吗?
boystudio
boystudio
回复 @yak : 当然软件只是他们内部使用的
boystudio
boystudio
回复 @yak : 我们公司的软件也是大部分面向政府、银行等部门的,但我们要求他们必须用火狐或Chrome,我们只需要兼容到IE11就可以了
yak
yak
去政府衙门转一圈,你的世界从此与众不同
0
酷酷的就
酷酷的就
IE8还是要兼容的, 为了那么多XP用户着想下. 
返回顶部
顶部